NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-data_retention - Documentation for the /organization/projects/{project_id}/data_retention path.

OPERATIONS

GET /organization/projects/{project_id}/data_retention

retrieve-project-data-retention

$client->retrieve_project_data_retention({
    body => { ... },
});

Retrieves project data retention controls.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to inspect.

Responses

200 - Project data retention controls retrieved successfully.

Content-Type: application/json

Example:

{
   "object" : "project.data_retention",
   "type" : "organization_default"
}

POST /organization/projects/{project_id}/data_retention

update-project-data-retention

$client->update_project_data_retention({
    body => { ... },
});

Updates project data retention controls.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to update.

Responses

200 - Project data retention controls updated successfully.

Content-Type: application/json

Example:

{
   "object" : "project.data_retention",
   "type" : "organization_default"
}

SCHEMAS

ProjectDataRetention

Properties:

  • object (string, required) - The object type, which is always project.data_retention .

    Allowed values: project.data_retention

  • type (string, required) - The configured project data retention type.

    Allowed values: organization_default, none, zero_data_retention, modified_abuse_monitoring, enhanced_zero_data_retention, enhanced_modified_abuse_monitoring

UpdateProjectDataRetentionBody

Properties:

  • retention_type (string, required) - The desired project data retention type.

    Allowed values: organization_default, none, zero_data_retention, modified_abuse_monitoring, enhanced_zero_data_retention, enhanced_modified_abuse_monitoring

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.